package com.ruoyi.ibs.customerselect.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.ibs.customerselect.domain.CustBaseInfo;
import com.ruoyi.ibs.customerselect.domain.GridSummarCount;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 网格汇总统计_公司Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-22
 */
@Mapper
public interface GridSummarCountMapper 
{
    /**
     * 查询网格汇总统计_公司
     * 
     * @param dt 网格汇总统计_公司主键
     * @return 网格汇总统计_公司
     */
    public GridSummarCount selectGridSummarCountByDt(String dt);

    /**
     * 查询网格汇总统计_公司列表
     * 
     * @param GridSummarCount 网格汇总统计_公司
     * @return 网格汇总统计_公司集合
     */
    public List<GridSummarCount> selectGridSummarCountList(GridSummarCount GridSummarCount);

    /**
     * 新增网格汇总统计_公司
     * 
     * @param GridSummarCount 网格汇总统计_公司
     * @return 结果
     */
    public int insertGridSummarCount(GridSummarCount GridSummarCount);

    /**
     * 修改网格汇总统计_公司
     * 
     * @param GridSummarCount 网格汇总统计_公司
     * @return 结果
     */
    public int updateGridSummarCount(GridSummarCount GridSummarCount);

    /**
     * 删除网格汇总统计_公司
     * 
     * @param dt 网格汇总统计_公司主键
     * @return 结果
     */
    public int deleteGridSummarCountByDt(String dt);

    /**
     * 批量删除网格汇总统计_公司
     * 
     * @param dts 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteGridSummarCountByDts(String[] dts);

    List<Map<String,Object>> selectContinuousParams(CustBaseInfo sysCustomerBasedata);

    List<Map<String,Object>> selectDiscreteParams(CustBaseInfo sysCustomerBasedata);

    public String selectDictLabelByDictValue(@Param("dictValue") String dictValue);
}
